-----------------------------------------------------------------------------
-- Module: @(#)session_list.sql	2.3     Date: 2013/04/10
-- Author: Lester Knutsen  Email: lester@advancedatatools.com
--         Advanced DataTools Corporation
-- Discription:	Displays short list of user sessions
--	Tested with Informix 11.70 and Informix 12.10
-- Update: 1/20/2023 - Tested on Informix 14.10.FC9
-----------------------------------------------------------------------------

database sysmaster;

select 	sid,
	username,
	pid,
	hostname,
	l2date(connected) startdate
from 	syssessions
