-----------------------------------------------------------------------------
-- Module: @(#)server_cpu_time.sql	version: 2.5     Date: 10/1/2021
-- Author: Lester Knutsen  Contact: lester@advancedatatools.com
-- Copyright: Advanced DataTools Corporation - 2021
-- Description:	 User and System CPU time for the server
-- Update: 1/20/2023 - Tested on Informix 14.10.FC9
-----------------------------------------------------------------------------

select sum(usecs_user) usecs_user, 
	sum(usecs_sys) usecs_sys, 
	(sum(usecs_user) + sum(usecs_sys) ) total_cpu
from sysvplst
