-----------------------------------------------------------------------------
-- Module: @(#)session_wait_list.sql	2.3     Date: 2013/04/10
-- Author: Lester Knutsen  Email: lester@advancedatatools.com
--         Advanced DataTools Corporation
-- Discription:	Displays session status 
--	Tested with Informix 11.70 and Informix 12.10
-- Update: 1/20/2023 - Tested on Informix 14.10.FC9
-----------------------------------------------------------------------------

database sysmaster;

select
	sid,
	username,
	-- pid,
	-- hostname,
	-- tty,
	-- l2date(connected),
	is_wlatch,
	is_wlock,
	is_wbuff,
	is_wckpt,
	is_wlogbuf,
	is_wtrans,
	is_monitor,
	is_incrit
	-- state
from 	syssessions
where	(  is_wlatch != 0 )
or      (  is_wlock != 0 )
or      (  is_wbuff  != 0 )
or      (  is_wckpt  != 0 )
or      (  is_wlogbuf  != 0 )
or      (  is_wtrans  != 0 )
or      (  is_monitor  != 0 )
or      (  is_incrit  != 0 )
order by username
